/* FichothequeLib_API - Copyright (c) 2008-2018 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque;

import net.mapeadores.util.annotation.Nullable;
import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.text.Label;


/**
 *
 * @author Vincent Calame
 */
public interface MetadataEditor {

    public Metadata getMetadata();

    public FichothequeEditor getFichothequeEditor();

    /**
     * Si name est nul, cela correspond à la phrase de titre
     *
     * Retourne false si name est incorrect ou s'il n'y pas de changement
     */
    public boolean putLabel(@Nullable String name, Label label);

    public boolean removeLabel(@Nullable String name, Lang lang);


}
