/* FichothequeLib_API - Copyright (c) 2011-2022 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.namespaces;

import net.mapeadores.util.attr.AttributeKey;
import net.mapeadores.util.attr.CheckedNameSpace;


/**
 *
 * @author Vincent Calame
 */
public final class BdfXmlSpace {

    public final static CheckedNameSpace EXTRACTION_NAMESPACE = CheckedNameSpace.build("bdfxml");
    public final static AttributeKey LABELTYPE_ATTRIBUTEKEY = AttributeKey.build(EXTRACTION_NAMESPACE, "labeltype");
    public final static AttributeKey SUBUNIT_ATTRIBUTEKEY = AttributeKey.build(EXTRACTION_NAMESPACE, "subunit");
    public final static AttributeKey SATELLITE_ATTRIBUTEKEY = AttributeKey.build(EXTRACTION_NAMESPACE, "satellite");
    public final static String FORCE_SUBUNIT = "force";
    public final static String SATELLITE_ATTRIBUTEKEY_PREFIX = "bdfxml:satellite:";

    private BdfXmlSpace() {

    }

}
